from database import db

from flask_covid19 import AdminService
from flask_covid19 import AllService
from flask_covid19 import UserService
from flask_covid19 import EcdcService
from flask_covid19 import OwidService
from flask_covid19 import RkiVaccinationService
from flask_covid19 import WhoService
from flask_covid19 import DiviService
from flask_covid19 import RkiService

############################################################################################
#
# Services
#
app_admin_service = AdminService(db)
app_user_service = UserService(db)

who_service = WhoService(db)
owid_service = OwidService(db)
ecdc_service = EcdcService(db)
rki_vaccination_service = RkiVaccinationService(db)
rki_service = RkiService(db)
divi_service = DiviService(db)

all_service = AllService(who_service, owid_service, ecdc_service, rki_vaccination_service, rki_service, divi_service)

db.create_all()
